import { escapeRegExp } from "./escapeRegExp.js";
//#region src/hooks/useNumberInput/utils/getSuffix.ts
const getSuffix = (value, { groupSeparator = ",", decimalSeparator = "." }) => {
	const suffixReg = new RegExp(`\\d([^${escapeRegExp(groupSeparator)}${escapeRegExp(decimalSeparator)}0-9]+)`);
	const suffixMatch = value.match(suffixReg);
	return suffixMatch ? suffixMatch[1] : void 0;
};
//#endregion
export { getSuffix };
